Bug 1251952 - [Debian] ioprocess fails unit testing in testCircularRefs
[Debian] ioprocess fails unit testing in testCircularRefs
Status: CLOSED CURRENTRELEASE
Product: ovirt-distribution
Classification: oVirt
Component: ioprocess (Show other bugs)
ioprocess-0.15.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.1
: ioprocess-0.15.0
Assigned To: Oved Ourfali
Pavel Stehlik
:
Depends On:
Blocks: 1163069
  Show dependency treegraph
 
Reported: 2015-08-10 08:00 EDT by Sandro Bonazzola
Modified: 2016-02-10 03:59 EST (History)
8 users (show)

See Also:
Fixed In Version: ioprocess-0.15.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:59:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.z?
ylavi: planning_ack?
oourfali: devel_ack+
ylavi: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47515 None None None Never

  None (edit)
Description Sandro Bonazzola 2015-08-10 08:00:42 EDT
======================================================================
FAIL: Make sure there is nothing keepin IOProcess strongly referenced.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/stirabos/vdsm_debian/ioprocess/bindings/python/test/test.py", line 569, in testCircularRefs
    self.assertIsNone(proc())
AssertionError: <ioprocess.IOProcess object at 0x7f8238290ed0> is not None


-------------------- >> begin captured logging << --------------------
IOProcessClient: DEBUG: Starting IOProcess...
IOProcessClient: DEBUG: Starting IOProcess...
IOProcess: DEBUG: Closing unrelated FDs...
IOProcess: DEBUG: Closing unrelated fd no: 0 (pipe:[201430])
IOProcess: DEBUG: Not closing FD 1 because it's in whitelist
IOProcess: DEBUG: Not closing FD 2 because it's in whitelist
IOProcess: DEBUG: Closing unrelated fd no: 3 (pipe:[201427])
IOProcess: DEBUG: Closing unrelated fd no: 4 (pipe:[201427])
IOProcess: DEBUG: Closing unrelated fd no: 5 (pipe:[201428])
IOProcess: DEBUG: Not closing FD 6 because it's in whitelist
IOProcess: DEBUG: Not closing FD 7 because it's in whitelist
IOProcess: DEBUG: Closing unrelated fd no: 8 (pipe:[201429])
IOProcess: DEBUG: Not closing FD 9 because it's the directory fd
IOProcess: DEBUG: Closing unrelated fd no: 11 (/dev/urandom])
IOProcess: DEBUG: Opening communication channels...
IOProcess: DEBUG: Waiting for next request...
IOProcess: DEBUG: Closing unrelated FDs...
IOProcess: DEBUG: Closing unrelated fd no: 0 (pipe:[201437])
IOProcess: DEBUG: Not closing FD 1 because it's in whitelist
IOProcess: DEBUG: Not closing FD 2 because it's in whitelist
IOProcess: DEBUG: Closing unrelated fd no: 3 (pipe:[201427])
IOProcessTests: INFO: [<frame object at 0x7f82382a5410>,
 <frame object at 0x7f8228001170>,
 <bound method IOProcess._processLogs of <ioprocess.IOProcess object at 0x7f8238290ed0>>]
IOProcess: DEBUG: Closing unrelated fd no: 4 (pipe:[201427])
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcess: DEBUG: Closing unrelated fd no: 5 (pipe:[201428])
IOProcess: DEBUG: Closing unrelated fd no: 6 (pipe:[201427])
IOProcess: DEBUG: Closing unrelated fd no: 7 (pipe:[201434])
IOProcess: DEBUG: Closing unrelated fd no: 8 (pipe:[201429])
IOProcess: DEBUG: Closing unrelated fd no: 9 (pipe:[201434])
IOProcess: DEBUG: Not closing FD 10 because it's the directory fd
IOProcess: DEBUG: Closing unrelated fd no: 11 (/dev/urandom])
IOProcess: DEBUG: Closing unrelated fd no: 13 (pipe:[201435])
IOProcess: DEBUG: Not closing FD 15 because it's in whitelist
IOProcess: DEBUG: Not closing FD 16 because it's in whitelist
IOProcess: DEBUG: Closing unrelated fd no: 17 (pipe:[201436])
IOProcess: DEBUG: Opening communication channels...
IOProcess: DEBUG: Waiting for next request...
IOProcessTests: INFO: [<frame object at 0x7f82382a5b90>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5410>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5b90>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5410>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5b90>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5410>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5b90>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5410>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5b90>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
IOProcessTests: INFO: [<frame object at 0x7f82382a5410>]
IOProcessTests: INFO: <code object assertIsNone at 0x7f8238bffe30, file "/usr/lib/python2.7/unittest/case.py", line 950>
--------------------- >> end captured logging << ---------------------
Comment 1 Red Hat Bugzilla Rules Engine 2015-09-22 03:43:51 EDT
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 2 Red Hat Bugzilla Rules Engine 2015-09-22 07:59:06 EDT
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 3 Red Hat Bugzilla Rules Engine 2015-10-19 06:54:25 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 4 Yeela Kaplan 2015-10-25 09:44:33 EDT
Simone,
Can you help verify the patch??
Thank you!
Comment 5 Yeela Kaplan 2015-10-27 14:00:37 EDT
Simone verified. Thank you.
Comment 6 Yaniv Lavi 2015-10-29 08:27:26 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 8 Pavel Stehlik 2016-02-10 03:59:04 EST
Closing older BZs, if still happened, please reopen.

Note You need to log in before you can comment on or make changes to this bug.